Bug Hunting Session
Bug 104228 - rtf bad opening
Summary: rtf bad opening
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords: bibisectRequest, filter:rtf, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2016-11-28 16:22 UTC by Alberto
Modified: 2016-12-18 01:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
an rtf file with tables and images (3.82 MB, application/rtf)
2016-11-28 16:22 UTC, Alberto
Details
Layout in Word Viewer (102.79 KB, application/unknown)
2016-11-28 16:40 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto 2016-11-28 16:22:56 UTC
Created attachment 129078 [details]
an rtf file with tables and images

libreoffice can't open correctly the attached rtf file (tables seem to be empties).
Libreoffice 5.2.3 doesn't open correctly the file.

Thank for your help
Comment 1 Telesto 2016-11-28 16:37:54 UTC
Confirming with:
Version: 5.4.0.0.alpha0+ (x64)
Build ID: 7aa2b5a041df8e71a435cccbc79ee13799ec9138
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-11-24_11:40:27
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Telesto 2016-11-28 16:40:30 UTC
Created attachment 129082 [details]
Layout in Word Viewer
Comment 3 Telesto 2016-11-28 16:49:46 UTC
It's working in:
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 raal 2016-11-29 07:28:12 UTC
reproducible with Version: 4.4.0.0.alpha0+
Comment 5 Miklos Vajna 2016-12-09 16:50:36 UTC
It'll be probably a 3.4 -> 3.5 regression, I'll look at this.
Comment 6 Commit Notification 2016-12-13 11:44:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=657c6cc3acec0528209a8584b838cd6de581c437

tdf#104228 RTF import: fix override of style left/right para margin

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-12-14 11:27:54 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f79e709e7452267e30c0744e7f906a70830bd58&h=libreoffice-5-3

tdf#104228 RTF import: fix override of style left/right para margin

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.